/*
 * Copyright 2012 Alexander Baumgartner
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package at.jku.risc.stout.hoau;

import at.jku.risc.stout.hoau.data.InputParser;

/**
 * Some test cases
 * 
 * @author Alexander Baumgartner
 */
public class TestBetaReduction {

	public static void main(String[] args) {
		// NodeFactory.PREFIX_IndividualVar = "$";
		test("(\\x,y,z,v,u.f(x(a),y)) g");
		test("(\\x,y,X.f(x,g(Y,x,b),h((y a),X,X(f,g),F(f,g)))) test (\\x.x x x) d h ((\\y.f(y)) z)");
		test("(\\x. x f(x) x x) z");
		test("(\\x.\\y. x f(y) x x) z a");
		test("(\\x:t1. x f(x) x x) z:t2");
		test("(\\x. x x x) (\\x. x x x)");
		test("(\\x,y.f(x(x))) z");
		test("(\\x.f(a, x(f, (b, c)))) \\x.\\y.g(x(y))");
	}

	public static void test(String in) {
		try {
			System.out.println(new InputParser().parseSequence(in).reduce(100));
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

}
