/*
 * Copyright 2012 Alexander Baumgartner
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package at.jku.risc.stout.hoau.algo;

import at.jku.risc.stout.hoau.util.ControlledException;

/**
 * This {@linkplain ControlledException} is thrown if the justification of the
 * computed generalization fails. The justification is computed inside the class
 * {@linkplain AntiUnify}.
 * 
 * @author Alexander Baumgartner
 */
public class JustificationException extends ControlledException {
	private static final long serialVersionUID = 5365088071249677934L;

	public JustificationException() {
		super();
	}

	public JustificationException(String message) {
		super(message);
	}

	public JustificationException(Throwable cause) {
		super(cause);
	}

	public JustificationException(String message, Throwable cause) {
		super(message, cause);
	}

}
